CVE-2017-5196

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2017-5196
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2017-5196.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2017-5196
Related
Published
2017-03-03T15:59:00Z
Modified
2024-06-06T12:04:59.125814Z
Severity
  • 7.5 (High) CVSS_V3 - CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS Calculator
Summary
[none]
Details

Irssi 0.8.18 before 0.8.21 allows remote attackers to cause a denial of service (out-of-bounds read and crash) via vectors involving strings that are not UTF8.

References

Affected packages

Alpine:v3.2 / irssi

Package

Name
irssi
Purl
pkg:apk/alpine/irssi?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.8.21-r0

Affected versions

0.*

0.8.12-r0
0.8.13_rc1-r0
0.8.13-r0
0.8.14-r0
0.8.14-r1
0.8.14-r2
0.8.15-r0
0.8.15-r1
0.8.15-r2
0.8.15-r3
0.8.15-r4
0.8.15-r5
0.8.15-r6
0.8.15-r7
0.8.15-r8
0.8.15-r9
0.8.15-r10
0.8.15-r11
0.8.15-r12
0.8.15-r13
0.8.15-r14
0.8.16_rc1-r0
0.8.16-r0
0.8.16-r1
0.8.17-r0
0.8.20-r0

Alpine:v3.3 / irssi

Package

Name
irssi
Purl
pkg:apk/alpine/irssi?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.8.21-r0

Affected versions

0.*

0.8.12-r0
0.8.13_rc1-r0
0.8.13-r0
0.8.14-r0
0.8.14-r1
0.8.14-r2
0.8.15-r0
0.8.15-r1
0.8.15-r2
0.8.15-r3
0.8.15-r4
0.8.15-r5
0.8.15-r6
0.8.15-r7
0.8.15-r8
0.8.15-r9
0.8.15-r10
0.8.15-r11
0.8.15-r12
0.8.15-r13
0.8.15-r14
0.8.16_rc1-r0
0.8.16-r0
0.8.16-r1
0.8.17-r0
0.8.17-r1
0.8.17-r2
0.8.17-r3
0.8.17-r4
0.8.20-r0

Alpine:v3.4 / irssi

Package

Name
irssi
Purl
pkg:apk/alpine/irssi?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.8.21-r0

Affected versions

0.*

0.8.12-r0
0.8.13_rc1-r0
0.8.13-r0
0.8.14-r0
0.8.14-r1
0.8.14-r2
0.8.15-r0
0.8.15-r1
0.8.15-r2
0.8.15-r3
0.8.15-r4
0.8.15-r5
0.8.15-r6
0.8.15-r7
0.8.15-r8
0.8.15-r9
0.8.15-r10
0.8.15-r11
0.8.15-r12
0.8.15-r13
0.8.15-r14
0.8.16_rc1-r0
0.8.16-r0
0.8.16-r1
0.8.17-r0
0.8.17-r1
0.8.17-r2
0.8.17-r3
0.8.17-r4
0.8.18-r0
0.8.19-r0
0.8.20-r0

Alpine:v3.5 / irssi

Package

Name
irssi
Purl
pkg:apk/alpine/irssi?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.8.21-r0

Affected versions

0.*

0.8.12-r0
0.8.13_rc1-r0
0.8.13-r0
0.8.14-r0
0.8.14-r1
0.8.14-r2
0.8.15-r0
0.8.15-r1
0.8.15-r2
0.8.15-r3
0.8.15-r4
0.8.15-r5
0.8.15-r6
0.8.15-r7
0.8.15-r8
0.8.15-r9
0.8.15-r10
0.8.15-r11
0.8.15-r12
0.8.15-r13
0.8.15-r14
0.8.16_rc1-r0
0.8.16-r0
0.8.16-r1
0.8.17-r0
0.8.17-r1
0.8.17-r2
0.8.17-r3
0.8.17-r4
0.8.18-r0
0.8.19-r0
0.8.19-r1
0.8.20-r0
0.8.20-r1

Git / github.com/irssi/irssi

Affected ranges

Type
GIT
Repo
https://github.com/irssi/irssi
Events

Affected versions

0.*

0.8.18
0.8.19
0.8.20